<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:mvc="http://www.springframework.org/schema/mvc"
       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc.xsd">
    <mvc:interceptors>
        <bean class="com.gic.haoban.common.interceptor.HttpLimitInterceptor"/>
        <bean class="com.gic.commons.interceptor.HeaderTagInterceptor"/>
        <bean class="com.gic.web.common.inteceptor.RequestInteceptor"/>
        <mvc:interceptor>
            <mvc:mapping path="/**"/>
            <mvc:exclude-mapping path="/login.json"/>
            <mvc:exclude-mapping path="/login-*"/>
            <mvc:exclude-mapping path="/login_*"/>
            <mvc:exclude-mapping path="/gic-login*"/>
            <mvc:exclude-mapping path="/*test.json"/>
            <mvc:exclude-mapping path="/test/*"/>
            <mvc:exclude-mapping path="/login"/>
            <mvc:exclude-mapping path="/nationcode/get-nationcode-list"/>
            <mvc:exclude-mapping path="/get-pic-code"/>
            <mvc:exclude-mapping path="/department-batch-del"/>
            <mvc:exclude-mapping path="/staff-batch-del"/>
            <mvc:exclude-mapping path="/upload-file*"/>
            <mvc:exclude-mapping path="/upload-file-voice"/>
            <mvc:exclude-mapping path="/get-login-qrcode"/>
            <bean class="com.gic.haoban.common.interceptor.AuthWebInterceptor"/>
        </mvc:interceptor>
        <mvc:interceptor>
            <mvc:mapping path="/**"/>
            <mvc:exclude-mapping path="/login.json"/>
            <mvc:exclude-mapping path="/login-*"/>
            <mvc:exclude-mapping path="/*login*"/>
            <mvc:exclude-mapping path="/login_*"/>
            <mvc:exclude-mapping path="/gic-login*"/>
            <mvc:exclude-mapping path="/*test.json"/>
            <mvc:exclude-mapping path="/test/*"/>
            <mvc:exclude-mapping path="/login"/>
            <mvc:exclude-mapping path="/nationcode/get-nationcode-list"/>
            <mvc:exclude-mapping path="/get-pic-code"/>
            <mvc:exclude-mapping path="/department-batch-del"/>
            <mvc:exclude-mapping path="/staff-batch-del"/>
            <mvc:exclude-mapping path="/upload-file*"/>
            <mvc:exclude-mapping path="/upload-file-voice"/>
            <mvc:exclude-mapping path="/get-login-qrcode"/>
            <mvc:exclude-mapping path="/gic-login-check"/>
            <mvc:exclude-mapping path="/staff-export"/>
            <bean class="com.gic.web.common.inteceptor.RightInterceptor" />
        </mvc:interceptor>
    </mvc:interceptors>

</beans>